Shadowban ve yanıt görünürlüğünü kontrol edin
People hesap aramasını, from:kullanıcıadı ile varsayılan Top gönderi aramasını ve yanıt görünürlüğünü kontrol edin. Yalnızca API anahtarı gerekir. Varsayılan yanıt screen_name ve beş boolean/null alanı içerir: true kısıtlama şüphesi, false yapılan kontrollerde kanıt bulunmaması, null ise sonuçsuz veya atlanan kontrol demektir. details: true ile temel alanları değiştirmeden tüm kanıtlar data.details içine eklenir.
Yanıt kontrolleri varsayılan olarak açıktır ve son yedi günde başka hesaplara yazılmış en fazla iki özgün yanıtı inceler. Reply Deboosting için hedef yanıtın Show probable spam gibi açık bir daraltılmış alan yüklendikten sonra gerçekten bulunması gerekir. Ghost Ban için üst gönderi erişilebilir olmalı, konuşma tamamen taranmalı ve yanıtın doğrudan hâlâ erişilebilir olduğu doğrulanmalıdır. Eksik sayfalama, erişilemeyen üst gönderi, örnek bulunmaması veya geçersiz yerleşim bilgisi sonuçsuz kabul edilir. People araması, arama önerileri testi değildir. Tek bir sorgu hesabından yapılan gözlemler X iç yaptırımlarını veya hesabın tüm görünürlüğünü doğrulamaz.
{
"code": 200,
"msg": "success",
"data": {
"screen_name": "example_user",
"shadow_ban": false,
"account_search_ban": false,
"search_ban": false,
"ghost_ban": false,
"reply_deboosting": false
}
}
/twitter/shadowban/checkAuthorizationBearer token · headerzorunluapplication/jsonscreen_namestringzorunlumax_pagesintegercheck_repliesbooleantruefalsedetailsbooleantruefalsereply_sample_sizeintegerreply_idsstring[]codeintegerzorunlumsgstringzorunludataShadowbanCheckDatazorunluÖzellikleri gösterÖzellikleri gizle
screen_namestringzorunlushadow_banboolean | nullzorunluaccount_search_banboolean | nullzorunlusearch_banboolean | nullzorunlughost_banboolean | nullzorunlureply_deboostingboolean | nullzorunludetailsShadowbanCheckEvidenceÖzellikleri gösterÖzellikleri gizle
screen_namestringzorunluuser_idstring | nullzorunluchecked_atstring<date-time>zorunlustatusstringzorunlususpectedno_evidenceinconclusivesuspected_shadowbanboolean | nullzorunluaccount_searchShadowbanSearchEvidencezorunluÖzellikleri gösterÖzellikleri gizle
statusstringzorunluvisiblenot_foundinconclusivequerystringzorunlupages_checkedintegerzorunlumatched_idsstring[]zorunlureasonstringzorunlubaseline_post_idsstring[]post_searchShadowbanSearchEvidencezorunluÖzellikleri gösterÖzellikleri gizle
statusstringzorunluvisiblenot_foundinconclusivequerystringzorunlupages_checkedintegerzorunlumatched_idsstring[]zorunlureasonstringzorunlubaseline_post_idsstring[]reply_visibilityShadowbanReplyVisibilityzorunluÖzellikleri gösterÖzellikleri gizle
statusstringzorunluvisiblehiddendeboostedinconclusivemixedskippedsample_countintegerzorunlureasonstringzorunlusamplesShadowbanReplySample[]zorunluÖzellikleri gösterÖzellikleri gizle
ShadowbanReplySamplereply_idstringzorunluparent_tweet_idstring | nullzorunlustatusstringzorunluvisiblehiddendeboostedinconclusivereasonstringzorunlupages_checkedintegerzorunlureply_accessibleboolean | nullzorunluparent_accessiblebooleanzorunlumatched_entry_idstringfolded_cursor_typestringfolded_action_textstringghost_banShadowbanReplySummaryzorunluÖzellikleri gösterÖzellikleri gizle
statusstringzorunlususpectedno_evidenceinconclusivesuspectedboolean | nullzorunluchecked_repliesintegerzorunluaffected_reply_idsstring[]zorunlureasonstringzorunlureply_deboostingShadowbanReplySummaryzorunluÖzellikleri gösterÖzellikleri gizle
statusstringzorunlususpectedno_evidenceinconclusivesuspectedboolean | nullzorunluchecked_repliesintegerzorunluaffected_reply_idsstring[]zorunlureasonstringzorunlulimitationsstringzorunlucodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyanycodeintegerzorunlumsgstringzorunludataobject | any[]zorunluÖzellikleri gösterÖzellikleri gizle
objectanyany⚡Etkileşimli Konsol / API TestiPOSTLive Console
https://api.twexapi.ioBu uç nokta herkese açık Twitter verilerini sorgular — Twitter hesabı veya Çerez gerekmez! Test etmek için aşağıdaki "API Yetkilendirmesi"ne TwexAPI Anahtarınızı (Bearer Token) girmeniz yeterlidir.
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
curl -X POST "https://api.twexapi.io/twitter/shadowban/check" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"screen_name": "example_user"
}'const response = await fetch("https://api.twexapi.io/twitter/shadowban/check", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"screen_name": "example_user"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/shadowban/check",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"screen_name": "example_user"
},
){
"code": 200,
"msg": "string",
"data": {
"screen_name": "string",
"shadow_ban": true,
"account_search_ban": true,
"search_ban": true,
"ghost_ban": true,
"reply_deboosting": true,
"details": {
"screen_name": "string",
"user_id": "string",
"checked_at": "2019-08-24T14:15:22Z",
"status": "suspected",
"suspected_shadowban": true,
"account_search": {
"status": "visible",
"query": "string",
"pages_checked": 0,
"matched_ids": [
"string"
],
"reason": "string",
"baseline_post_ids": [
"string"
]
},
"post_search": {
"status": "visible",
"query": "string",
"pages_checked": 0,
"matched_ids": [
"string"
],
"reason": "string",
"baseline_post_ids": [
"string"
]
},
"reply_visibility": {
"status": "visible",
"sample_count": 0,
"reason": "string",
"samples": [
{
"reply_id": "string",
"parent_tweet_id": "string",
"status": "visible",
"reason": "string",
"pages_checked": 0,
"reply_accessible": true,
"parent_accessible": true,
"matched_entry_id": "string",
"folded_cursor_type": "string",
"folded_action_text": "string"
}
]
},
"ghost_ban": {
"status": "suspected",
"suspected": true,
"checked_replies": 0,
"affected_reply_ids": [
"string"
],
"reason": "string"
},
"reply_deboosting": {
"status": "suspected",
"suspected": true,
"checked_replies": 0,
"affected_reply_ids": [
"string"
],
"reason": "string"
},
"limitations": "string"
}
}
}{
"code": 400,
"msg": "max_pages must be an integer from 1 to 3",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}{
"code": 0,
"msg": "string",
"data": {}
}